Package org.eclipse.m2m.atl.emftvm

## Interface Ifte

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `IfteImpl`

    public interface Ifte
    extends Instruction

A representation of the model object 'Ifte'.

See Also:
  `EmftvmPackage.getIfte()`

### Method Summary

All Methods Instance Methods Abstract Methods
`CodeBlock` `getElseCb()` Returns the value of the 'Else Cb' reference.
`int` `getElseCbIndex()` Returns the value of the 'Else Cb Index' attribute.
`CodeBlock` `getThenCb()` Returns the value of the 'Then Cb' reference.
`int` `getThenCbIndex()` Returns the value of the 'Then Cb Index' attribute.
`void` `setElseCb​(CodeBlock value)` Sets the value of the '`Else Cb`' reference.
`void` `setElseCbIndex​(int value)` Sets the value of the '`Else Cb Index`' attribute.
`void` `setThenCb​(CodeBlock value)` Sets the value of the '`Then Cb`' reference.
`void` `setThenCbIndex​(int value)` Sets the value of the '`Then Cb Index`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getThenCbIndex

    int getThenCbIndex()

Returns the value of the 'Then Cb Index' attribute. The default value is `"-1"`.

If the meaning of the 'Then Cb Index' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Then Cb Index' attribute.
See Also:
  `setThenCbIndex(int)`, `EmftvmPackage.getIfte_ThenCbIndex()`

#### setThenCbIndex

    void setThenCbIndex​(int value)

Sets the value of the '`Then Cb Index`' attribute.

Parameters:
  `value` - the new value of the 'Then Cb Index' attribute.
See Also:
  `getThenCbIndex()`

#### getElseCbIndex

    int getElseCbIndex()

Returns the value of the 'Else Cb Index' attribute. The default value is `"-1"`.

If the meaning of the 'Else Cb Index' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Else Cb Index' attribute.
See Also:
  `setElseCbIndex(int)`, `EmftvmPackage.getIfte_ElseCbIndex()`

#### setElseCbIndex

    void setElseCbIndex​(int value)

Sets the value of the '`Else Cb Index`' attribute.

Parameters:
  `value` - the new value of the 'Else Cb Index' attribute.
See Also:
  `getElseCbIndex()`

#### getThenCb

    CodeBlock getThenCb()

Returns the value of the 'Then Cb' reference.

If the meaning of the 'Then Cb' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Then Cb' reference.
See Also:
  `setThenCb(CodeBlock)`, `EmftvmPackage.getIfte_ThenCb()`

#### setThenCb

    void setThenCb​(CodeBlock value)

Sets the value of the '`Then Cb`' reference.

Parameters:
  `value` - the new value of the 'Then Cb' reference.
See Also:
  `getThenCb()`

#### getElseCb

    CodeBlock getElseCb()

Returns the value of the 'Else Cb' reference.

If the meaning of the 'Else Cb' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Else Cb' reference.
See Also:
  `setElseCb(CodeBlock)`, `EmftvmPackage.getIfte_ElseCb()`

#### setElseCb

    void setElseCb​(CodeBlock value)

Sets the value of the '`Else Cb`' reference.

Parameters:
  `value` - the new value of the 'Else Cb' reference.
See Also:
  `getElseCb()`